# ScintiPulses

**ScintiPulses** is a Python package for simulating signals from scintillation detectors. This tool allows for the simulation of photoelectric pulses, quantum shot noise, after-pulses, thermoionic noise, and various signal processing effects including digitization, pre-amplification, and fast amplification.

## Features

- Simulates light pulses emitted by scintillation detectors based on the energy of detected particles.
- Incorporates various noise sources like electronic noise, dark noise, and after-pulses.
- Models signal processing elements such as pre-amplifiers and amplifiers.
- Includes an option for signal digitization and anti-aliasing filtering.
- Allows customization of various physical parameters to simulate specific detector behavior.

## Installation

You can install **ScintiPulses** using `pip`. Run the following command:

```bash
pip install scintiPulses
